Subject: bug#61413: [PATCH] Make warnings show a "warning" emoji instead of a stop-sign

From: Konstantin Kharlamov <[email-masked]>
Date: Sun, 16 Feb 2025 01:59:44 +0300

On Sat, 2025-02-15 at 23:50 +0100, Kévin Le Gouguec wrote:
> Kévin Le Gouguec <[email-masked]> writes:
> 
> > * A caveat for terminals:
> > 
> > As Eli mentions, icons.el already knows to fall back to a suitable
> > representation on TTYs.  In practice though, the Linux TTY can
> > display a
> > few non-ASCII characters; as a result, here (6.13 if that matters)
> > Emacs
> > falls back to warnings-suppress's _symbol_ representation…
> > 
> >   (symbol ,(if (and (eq system-type 'windows-nt)
> >                     (null window-system))
> >                " » "
> >              " ■ "))    ; 👈 that one
> > 
> > … which one could bikeshed too, if one were so inclined 🫣
> 
> Over at bug#60854, I note that Robert mentioned:
> 
> > Whilst youʼre changing stuff, the text should not be "stop", it
> > should
> > be "suppress" or "ignore" or something.
> 
> Referring to the current 'text presentation.
> 
> In light of all this, how do we feel about the attached patch?  (FTR,
> "×" displays fine in a Linux TTY here; I do not have a Windows
> console
> handy however so that patch might go overboard)

"suppress" yes, but does this also replace "stop" emoji to " × ", am I
understanding that correctly? Why if so? To me such emoji doesn't seem
to be any better than "stop".

I imagine, best solution is to just have a clear button labeled
"suppress", as was discussed up-thread, and no one seem to have
objected. It has no misinterpretation problem. It's just I don't know
whether it would be complicated to implement…